Bug 7772 - reports/bor_issues_top.pl: we need to exit(0) for plack
Summary: reports/bor_issues_top.pl: we need to exit(0) for plack
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-03-21 10:24 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (553 bytes, patch)
2012-03-21 10:24 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7772 - reports/bor_issues_top.pl: we need to exit(0) for plack (699 bytes, patch)
2012-03-21 14:50 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-off] Bug 7772 - reports/bor_issues_top.pl: we need to exit(0) for plack (766 bytes, patch)
2012-03-23 09:23 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-03-21 10:24:33 UTC Comment hidden (obsolete)
Comment 1 Dobrica Pavlinusic 2012-03-21 14:50:23 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2012-03-23 09:23:24 UTC
Created attachment 8557 [details] [review]
[Signed-off] Bug 7772 - reports/bor_issues_top.pl: we need to exit(0) for plack

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 3 Alex Arnaud 2012-03-23 09:23:58 UTC
It works, signing off
Comment 4 Ian Walls 2012-03-25 22:34:18 UTC
This exit(1) line looks to be very, very old code, and I don't think an error exit status is at all appropriate, given that the code did exactly what it was supposed to do.

Marking Passed QA.
Comment 5 Ian Walls 2012-03-25 22:38:22 UTC
Further investigation shows that the whole reports area is littered with exit(1) for cases of success.  A wider-range patch to fix all these instances is welcomed.
Comment 6 Dobrica Pavlinusic 2012-03-26 14:54:04 UTC
bug 7892 cleans up all exit(1) in reports
Comment 7 Jared Camins-Esakov 2012-12-31 00:47:01 UTC
There have been no further reports of problems so I am marking this bug resolved.